Subject: good news
From: "Kay Price" <[email-masked]>
To: "Tracy Heron" <[email-masked]>, "Rodney Schroeter" <[email-masked]>, "Perry Huntoon" <[email-masked]>, "Pat Russell" <[email-masked]>, "Mary Schweitzer" <[email-masked]>, "John Haefele" <[email-masked]>, "Jim Roberts" <[email-masked]>, "Jim Kirchstein" <[email-masked]>, "Grant, Kenneth" <[email-masked]>, "George Vanderburgh" <[email-masked]>, "Dan Boulden" <[email-masked]>, "Char Olson" <[email-masked]>, "Karen Nelson" <[email-masked]>
Date: Thu, 14 Apr 2011 16:04:45 -0500

BlankHi All, 
Someone named Robert Wake from Cambridge, WI sent us a check for $50 today. No dues included, just a gift. I am not sure if he is a member but I would think so.
Also got dues plus $80 gift from Bruce and Patricia Biermeier from Deerfield, WI  and dues plus a $10 gift from Brother Leo Ryan. He just called and asked the date for the WWF and for Cedarberry's number. He said he would like to go to church with Mary Schweitzer if he comes up. He would like to think something would go on on Sunday if nothing more than a group gets together for lunch or breakfast.

It is really nice to think that people remember us with money gifts. Bro. Leo said he was very grateful that I gave April a respectable memorial in the newsletter when he knows it was a bit different from that :) He continues to travel the world and teach and speak and he is well into his 80s.

Kay